import React from 'react';
import { FieldValues, SubmitErrorHandler, SubmitHandler, UseFormReturn } from 'react-hook-form';
type IProps<FormData extends FieldValues> = {
    children: React.ReactElement;
    methods: UseFormReturn<FormData>;
    onFail?: SubmitErrorHandler<FormData>;
    onSubmit: SubmitHandler<FormData>;
};
declare function Form<FormData extends FieldValues>(props: IProps<FormData>): React.JSX.Element;
export default Form;
